## org.apache.cocoon.processor.xsp.language.java
Class XSPJavaPreprocessor

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.language.java.XSPJavaPreprocessor

All Implemented Interfaces:
  XSPPreprocessor

public class XSPJavaPreprocessor
extends java.lang.Object
implements XSPPreprocessor

Version:
  $Revision: 1.6 $ $Date: 2001/01/19 02:46:06 $
Author:
  Ricardo Rocha

Field Summary
`protected static XSPJavaProcessor` `javaProcessor`

Constructor Summary
`XSPJavaPreprocessor()`

Method Summary
`org.w3c.dom.Document` `preprocess(org.w3c.dom.Document document, java.util.Dictionary parameters)`
`protected void` `process(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### javaProcessor

    protected static XSPJavaProcessor javaProcessor

Constructor Detail

### XSPJavaPreprocessor

    public XSPJavaPreprocessor()

Method Detail

### preprocess

    public org.w3c.dom.Document preprocess(org.w3c.dom.Document document,
                                           java.util.Dictionary parameters)
                                    throws java.lang.Exception

  Specified by:
    `preprocess` in interface `XSPPreprocessor`

### process

    protected void process(org.w3c.dom.Node node)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.